PDA

View Full Version : Install ATI driver problem



kgbd2223
11th January 2008, 10:18 AM
Hello,

I am trying to install the ATI graphics driver on FC8. When I issue the command
sh ati-blah.run --buildpkg Fedora/FC8
I receive the error
Please install an appropriate Linux kernel module build package.
The package(s) you need are likely kernel-devel and/or kernel-headers.
If you've compiled a custom kernel, make sure /usr/src/linux exists and the source tree matches the current running kernel.

I checked the software list and could not locate either of the 2 above packages, however, there are 2 packages with similar names kernel-xen0-devel and kernel-xenu-devel. There is no kernel-headers package.

How do I install the ATI drivers for my graphics card?

Thanks,

Richard.

glennzo
11th January 2008, 11:29 AM
Open a terminal as root and type yum install kernel-devel kernel-headers, then retry installing your graphics driver.

leigh123linux
11th January 2008, 11:42 AM
Hello,

I am trying to install the ATI graphics driver on FC8. When I issue the command
sh ati-blah.run --buildpkg Fedora/FC8
I receive the error
Please install an appropriate Linux kernel module build package.
The package(s) you need are likely kernel-devel and/or kernel-headers.
If you've compiled a custom kernel, make sure /usr/src/linux exists and the source tree matches the current running kernel.

I checked the software list and could not locate either of the 2 above packages, however, there are 2 packages with similar names kernel-xen0-devel and kernel-xenu-devel. There is no kernel-headers package.

How do I install the ATI drivers for my graphics card?

Thanks,

Richard.

Why build it when livna have already done it for you ( see ATI howto link in my sig )

kgbd2223
11th January 2008, 12:06 PM
Thank you for your help.

FC8 does not appear to contain the packages kernel-devel and kernel-headers so I can't install them with yum.

The machine where I am installling the drivers is not connected to the Internet (and neither can it be) so I can't use the livna rpm to install the drivers. I did browse the FC8 repo and there are loads of fglrx files, none of which match kmod-fglrx, or xorg-x11-drv-fglrx, or xorg-x11-drv-fglrx-libs-32bit.

Any other suggestions?

Thanks,

Richard.